## net.sf.saxon.functions
Class Evaluate.PreparedExpression

    java.lang.Object
      |
      +--net.sf.saxon.functions.Evaluate.PreparedExpression

Enclosing class:
  Evaluate

protected static class Evaluate.PreparedExpression
extends java.lang.Object

Inner class PreparedExpression represents a compiled XPath expression together with the standard variables $p1 .. $p9 available for use when the expression is evaluated

Field Summary
`Expression` `expression`
`SlotManager` `stackFrameMap`
`Variable[]` `variables`

Constructor Summary
`protected` `Evaluate.PreparedExpression()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expression

    public Expression expression

### variables

    public Variable[] variables

### stackFrameMap

    public SlotManager stackFrameMap

Constructor Detail

### Evaluate.PreparedExpression

    protected Evaluate.PreparedExpression()